Poland

Home

Printable Version

Back to Previous Page

ADME DB - Hardware and Software Requirements


Since ADMEDB is available via Internet access the only required thing on the client side is any Internet browser. We recommend Microsoft Internet Explorer 5.5sp2 or higher or Netscape Communicator 4.75 or higher.


TAG: